<!DOCTYPE html>
<html class="splash">
<head>
<title>Ping Google return times</title>
<!-- https://plot.ly/javascript/reference -->
</head>

<body>
<h3>Ping Google return times</h3>
<!--
    Plots go in blank <div> elements. You can size them in the plot layout,
    or give the div a size as shown here.
-->
<!--<div id="plot" style="width:600px;height:400px;"></div>-->
<div id="summary">Getting latest pings</div>
<div id="plot"></div>

<!-- Use these for local server -->
<script type="text/javascript" src="js/jquery.min.js"></script>
<script>if(typeof window.Int16Array !== 'function')document.write("<scri"+"pt src='dependencies/typedarray.js'></scr"+"ipt>");</script>
<script type="text/javascript" src="js/plotly-latest.min.js"></script>
<script type="text/javascript" src="js/underscore-min.js"></script>

<script src="js/moment.min.js"></script>
<script src="js/moment-timezone.min.js"></script>

<!-- Use these for remote servers -->
<!--<script src="https://code.jquery.com/jquery-2.2.0.min.js"></script>-->
<!--<script>if(typeof window.Int16Array !== 'function')document.write("<scri"+"pt src='dependencies/typedarray.js'></scr"+"ipt>");</script>-->
<!--<script type="text/javascript" src="https://cdn.plot.ly/plotly-latest.min.js"></script>-->
<!--<script type="text/javascript" src="http://underscorejs.org/underscore-min.js"></script>-->

<!--<script src="http://momentjs.com/downloads/moment.min.js"></script>-->
<!--<script src="http://momentjs.com/downloads/moment-timezone-with-data-2010-2020.min.js"></script>-->

<script>
// These are placeholders until we get the data from the server.
var data = [
    {   // Temperature axis
        "type": "scatter",  // all "scatter" attributes: https://plot.ly/javascript/reference/#scatter
        "x": [1, 2, 3],
        "y": [3, 1, 6],
        "marker": {
            "color": "rgb(200, 32, 77)",
            size: 3
        },
        connectgaps: false,
        mode:   'markers',
        name:   'Temp'
    }
];

var layout = {                     // all "layout" attributes: #layout
    "title": "Ping",
    "xaxis": {                  // all "layout.xaxis" attributes: #layout-xaxis
        "title": "Date"         // more about "layout.xaxis.title": #layout-xaxis-title
    },
    yaxis: {
        title: 'Ping time (ms)',
        titlefont: {color: 'rgb(255, 32, 77)'},
    }
};

var server = 'http://data.sparkfun.com/';
var public_key = 'MG40r6AdvgIKNDymOAoL';
var timeSpan = '?gt[timestamp]=now-1days';

var zone = 'America/New_York';
var format = 'YYYY-MM-DD HH:mm:ss';

// JSONP request
$.ajax({
  url: server + 'output/' + public_key + '.json?limit=' + 60*24*2 ,
//   url: server + 'output/' + public_key + '.json' + timeSpan ,
//   data: {page: 1},   // Other options https://github.com/sparkfun/phant/pull/85
  dataType: 'jsonp',
}).done(function (results) {
    // console.log(results);
    // var i;
    // for(i=0; i<5; i++) {
    //     console.log(results[i]);
    // 
    
    $('#summary').html("Formatting data");

    data[0].x = _.map(results, function(item) {
            return moment.tz(item.timestamp, zone).format(format); // Convert to Plotly time format and ET
        });    
    data[0].y = _.map(results, function(item) {  // Copy time data
        return item.time;
    });
    // console.log(data[0].x[0]);
    
    Plotly.plot('plot', data, layout);      // Puts plot in <div> with id='plot'
    $('#summary').html('Time: ' + data[0].y[0] + ' (ms) at ' + data[0].x[0]);
});

</script>
</body>
</html>
